List available operators for the authenticated application
Authorization
ApiKeyBearer operators:readAuthorizationBearer <token>
In: header
Scope: operators:read
Query Parameters
type*string
Value in
- "payin"
- "payout"
countryIso2?string
Length
2 <= length <= 2Header Parameters
Accept-Language?string
Payer language for the operators’ customerInstructions. Supported: fr, en. Defaults to fr.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/operators?type=payin"{ "data": { "countries": [ { "iso2": "st", "name": "string", "callingCode": "+225", "currency": "XOF", "operators": [ { "code": "ORANGE_MONEY", "name": "Orange Money", "logoUrl": "https://cdn.sandbox.freewan.io/operators/orange_money.png", "requestFlow": "DIRECT", "phonePrefixes": [ "string" ], "requiresOtp": true, "limits": { "minAmount": "string", "maxAmount": "string", "amountMultiple": "string" }, "customerInstructions": { "pre": "string", "main": "string", "post": "string" }, "fee": { "percentage": "string", "fixedAmount": "string", "minAmount": "string", "maxAmount": "string" } } ] } ] }, "meta": { "environment": "SANDBOX", "type": "string" }}{ "error": { "code": "AUTH_API_KEY_MISSING", "message": "The API key is missing or invalid.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "AUTH_SCOPE_MISSING", "message": "The API key does not include the required scope.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "IDEMPOTENCY_CONFLICT", "message": "The same merchant reference was already used with a different request.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "VALIDATION_ERROR", "message": "The request payload or query parameters are invalid.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "INTERNAL_ERROR", "message": "The API could not process the request.", "requestId": "req_01HXFREEGATE" }}